PartioIterator.h File Reference
`#include <cassert>`
`#include <vector>`
`#include <iostream>`
`#include "PartioAttribute.h"`

Go to the source code of this file.

## Classes

struct | Partio::Data< T, d >
| Data. More...
struct | Partio::Provider
struct | Partio::PROVIDER< constant >
struct | Partio::PROVIDER< true >
struct | Partio::ParticleAccessor
class | Partio::ParticleIterator< constant >

## Namespaces

namespace | Partio

## Typedefs

typedef Data< int, 1 > | Partio::DataI
typedef Data< float, 1 > | Partio::DataF
typedef Data< float, 3 > | Partio::DataV

## Functions

template<class T , int d>
std::ostream & | Partio::operator<< (std::ostream &output, const Data< T, d > &v)